Subject: Re: bug#76120: [PATCH] Expose the native sharing dialog (macOS)

From: Björn Bidar <[email-masked]>
Date: Mon, 10 Feb 2025 22:09:05 +0200

Michael Albinus <[email-masked]> writes:

> Visuwesh <[email-masked]> writes:
>
> Hi,
>
>> Personally, I think we might be better served by using the dbus
>> interface directly.  I have the attached in my init file which could be
>> a reference.  Of course, as you point out, there's no share to other
>> applications; only to devices.
>
> Yes, that's for KDE. Unfortunately, there doesn't seem to exist an
> equivalent for Gnome.

The kdeconnect server is the equivalent for all desktops. With GSConnect
you can use KDE Connect with GTK frontend.

Recreating kdeconnectd with GTK would only reinvent the wheel out of
NIH.
This entirely offtopic but is to highlight that the DBUS API is the
mostly neutral way of implementing the support.

The only downside is that it requires more legwork initially.